
Summary: Kerberos authentication module for HTTP
Name: mod_auth_kerb
Version: 5.0
Release: 1
License: Apache
Group: System Environment/Daemons
URL: http://modauthkerb.sourceforge.net/
Source0: %{name}-%{version}-rc4.tar.gz
Source1: auth_kerb.conf
Patch0: %{name}-%{version}-replay.patch
Patch1: %{name}-%{version}-mutual.patch
Patch2: %{name}-%{version}-cache.patch
Patch3: %{name}-%{version}-cleanup.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: httpd-devel, krb5-devel
Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo missing)

%description
mod_auth_kerb is module for the Apache HTTP Server designed to
provide Kerberos authentication over HTTP.  The module supports the
Negotiate authentication method, which performs full Kerberos
authentication based on ticket exchanges.

%prep
%setup -q -n %{name}-%{version}-rc4
%patch0 -p1 -b .replay
%patch1 -p1 -b .mutual
%patch2 -p1 -b .cache
%patch3 -p1 -b .cleanup

%build
%configure --without-krb4 --with-krb5=/usr/kerberos
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules \
         $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 755 src/.libs/mod_auth_kerb.so \
        $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_auth_kerb.so
install -m 644 $RPM_SOURCE_DIR/auth_kerb.conf \
        $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/auth_kerb.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%config(noreplace) %{_sysconfdir}/httpd/conf.d/auth_kerb.conf
%{_libdir}/httpd/modules/*.so

%changelog
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr  8 2004 Joe Orton <jorton@redhat.com> 5.0-0.rc4.5
- remove static globals
- add SSLRequireSSL

* Mon Mar 29 2004 Joe Orton <jorton@redhat.com> 5.0-0.rc4.3
- support mutual authentication (Nalin Dahyabhai)
- once authentication returns COMPLETE, cache name for the duration
  of the connection

* Thu Mar 25 2004 Joe Orton <jorton@redhat.com> 5.0-0.rc4.2
- add example config file

* Wed Mar 24 2004 Joe Orton <jorton@redhat.com> 5.0-0.rc4.1
- update to mod_auth_kerb.c from HEAD to get workaround for
  "Request is a replay" errors

* Tue Mar 23 2004 Joe Orton <jorton@redhat.com> 
- Initial build.
